// ====================================================================
// Allan CORNET
// Copyright DIGITEO 2008
// ====================================================================
root_path = getenv('DDE_TOOLBOX_PATH','');
if  root_path <> '' then
  exec(root_path+'loader.sce');
end
// ====================================================================
test_path = root_path + 'tests' + filesep() + 'unit_tests' + filesep();
// ====================================================================

ierr = execstr('winopen(''Excel'');','errcatch');
assert_checkequal(ierr, 0);

// Wait Excel
sleep(2000);

res = ddeopen('Excel','[Classeur1]Feuil1');
assert_checkequal(res, %T);

// minimize Excel
res = ddeexec('[App.Minimize]');
assert_checkequal(res, %T);

STR1 = '[1 2 3]';
res = ddepoke('L1C2', STR1);
assert_checkequal(res, %T);

STR2 = 'Scilab test';
res = ddepoke('L2C2', STR2);
assert_checkequal(res, %T);

command_line = '[SELECT(""L2C2"")][FONT.PROPERTIES(,""Bold"")]';
res = ddeexec(command_line);
assert_checkequal(res, %T);

EXCEL_FILE = TMPDIR + '\DDE_TEST2.xls';
if fileinfo(EXCEL_FILE) <> [] then
  mdelete(EXCEL_FILE);
end

command_line = '[SAVE.AS(""' + EXCEL_FILE + '"",1,"""",FALSE,"""",FALSE)]';
res = ddeexec(command_line);
assert_checkequal(res, %T);

// maximize Excel
res = ddeexec('[App.Maximize]');
assert_checkequal(res, %T);

res = ddeexec('[Quit()]');
assert_checkequal(res, %T);

res = ddeclose();
assert_checkequal(res, %T);

// Wait Excel quit
sleep(2000);

if fileinfo(EXCEL_FILE) == [] then pause,end

// ====================================================================
